# Uses of Class
org.eclipse.jface.text.revisions.Revision

Packages that use Revision
Package
Description
org.eclipse.jface.text.revisions
Provides a revision model and a protocol to display revision information in a vertical ruler column.
org.eclipse.team.ui.history
Application programming interfaces for working with history.

## Uses of Revision in org.eclipse.jface.text.revisions

Methods in org.eclipse.jface.text.revisions that return Revision
Modifier and Type
Method
Description
`Revision`
RevisionRange.`getRevision()`
Returns the revision that this range belongs to.
Methods in org.eclipse.jface.text.revisions that return types with arguments of type Revision
Modifier and Type
Method
Description
`List<Revision>`
RevisionInformation.`getRevisions()`
Returns the contained revisions.
Methods in org.eclipse.jface.text.revisions with parameters of type Revision
Modifier and Type
Method
Description
`void`
RevisionInformation.`addRevision(Revision revision)`
Adds a revision.

## Uses of Revision in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history with parameters of type Revision
Modifier and Type
Method
Description
`protected abstract Object`
RevisionAnnotationController.`getHistoryEntry(Revision selected)`
Return the history list entry corresponding to the provided revision.
`protected void`
RevisionAnnotationController.`revisionSelected(Revision selected)`
Callback from the ruler when a particular revision has been selected by the user.